<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package fred
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-content">
	<?php if ( is_sticky() && is_home() && ! is_paged() ) {printf( '<div class="sticky-post">%s</div>', esc_html__( 'Featured', 'fred' ) );}?>

	<?php if ( has_post_thumbnail() ):?> 
	<div class="post-entry-media">
    	<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute();?>"><?php the_post_thumbnail();?></a>
    </div>
    <?php endif;?>

	<header class="entry-header">
    	<div class="divdate"><div class="month"><?php echo get_the_time('M') ?></div><div class="day"><?php echo get_the_time('d') ?></div></div>
        
		<?php the_title( sprintf( '<div class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></div>' ); ?>

		<?php if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php fred_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php endif; ?>
        
        <div class="clear"></div>
	</header><!-- .entry-header -->

	<div class="entry-summary">
		<?php the_excerpt(); ?>
        <div class="clear"></div>
	</div><!-- .entry-summary -->

	<footer class="entry-footer">
		<?php fred_entry_footer(); ?>
	</footer><!-- .entry-footer -->
    
    <div class="clear"></div>
    </div>
</article><!-- #post-<?php the_ID(); ?> -->
