<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package fred
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php if ( is_sticky() && is_home() && ! is_paged() ) {printf( '<div class="sticky-post">%s</div>', esc_html__( 'Featured', 'fred' ) );}?>

	<?php if ( has_post_thumbnail() ):?> 
	<div class="post-image">
    	<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute();?>"><?php the_post_thumbnail();?></a>
    </div>
    <?php endif;?>

	<div class="post-content">
	<header class="entry-header">
    	<div class="divdate"><div class="month"><?php echo get_the_time('M') ?></div><div class="day"><?php echo get_the_time('d') ?></div></div>
        
		<?php
		if ( is_singular() ) :
			the_title( '<div class="entry-title">', '</div>' );
		else :
			the_title( '<div class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></div>' );
		endif;

		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php fred_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
        
        <div class="clear"></div>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
			the_content( sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'fred' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				get_the_title()
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'fred' ),
				'after'  => '</div>',
			) );
		?>
        <div class="clear"></div>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php fred_entry_footer(); ?>
	</footer><!-- .entry-footer -->
    
    <div class="clear"></div>
    </div>
</article><!-- #post-<?php the_ID(); ?> -->
